Bug 51719 - Rsh wont let root login even after serious altering of .rhosts , /etc/hosts.equiv, /etc/xinetd.d/rsh
Rsh wont let root login even after serious altering of .rhosts , /etc/hosts.e...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rsh (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-14 07:48 EDT by ronny.lampert
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-14 07:48:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ronny.lampert 2001-08-14 07:48:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.19 i586)

Description of problem:
I have 2 hosts in .rhost, which should be allowed rsh.
In /etc/xinetd.d/rsh I altered:
server	= /usr/sbin/in.rshd -h # as the manpage says
and disabled	=no
and still it wont let root do rcp'ing.

How reproducible:
Always

Steps to Reproduce:
1. do an rcp to that maschine


Actual Results:  pam_rhosts_auth will grant, but rshd will refuse!

Expected Results:  normal rcp'ing as under RH 6.2

Additional info:
Comment 1 Phil Knirsch 2001-08-16 10:50:00 EDT
You need to

chkconfig rlogin on
service xinetd restart

As rsh uses the rlogin server, not the rshd (which is used for rcmd)
I know, it's really counterintuitive as rsh should have the rshd as counterpart,
but unfortunately it's not the case.

Hope this helps,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.